MuleDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.MuleDefinitionParser interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers
Interface MuleDefinitionParser

All Superinterfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser, MuleDefinitionParserConfiguration

All Known Subinterfaces:
  DynamicAttributeDefinitionParser, MuleChildDefinitionParser

All Known Implementing Classes:
  AbstractChildDefinitionParser, AbstractDelegatingDefinitionParser, AbstractFirstResultSerialDefinitionParser, AbstractHierarchicalDefinitionParser, AbstractMuleBeanDefinitionParser, AbstractParallelDelegatingDefinitionParser, AbstractPluggableDelegate, AbstractSerialDelegatingDefinitionParser, AbstractSingleParentFamilyChildDefinitionParser, AbstractSingleParentFamilyDefinitionParser, AddressedEndpointDefinitionParser, AgentDefinitionParser, AllAttributeChildDefinitionParser, AttributeListEntryDefinitionParser, AttributeMapDefinitionParser, AttributePropertiesDefinitionParser, AttributeSelectionDefinitionParser, BindingDefinitionParser, BooleanAttributeSelectionDefinitionParser, ByteOrMessageProtocolDefinitionParser, ChildAddressDefinitionParser, ChildDefinitionParser, ChildEndpointDefinitionParser, ChildListDefinitionParser, ChildListEntryDefinitionParser, ChildMapDefinitionParser, ChildMapEntryDefinitionParser, ChildPropertiesDefinitionParser, ChildSingletonMapDefinitionParser, ClientKeyStoreDefinitionParser, ComponentDefinitionParser, ComponentDelegatingDefinitionParser, ConfigurationChildDefinitionParser, ConfigurationDefinitionParser, ConnectionFactoryDefinitionParser, DataObjectDefinitionParser, DefaultThreadingProfileDefinitionParser, DescendentDefinitionParser, ElementInNestedMapDefinitionParser, EndpointChildDefinitionParser, EndpointPropertyElementDefinitionParser, EndpointRefParser, ExceptionTXFilterDefinitionParser, FilterDefinitionParser, ForwardingRouterDefinitionParser, GenericEndpointDefinitionParser, GenericGlobalEndpointDefinitionParser, GlobalPropertyDefinitionParser, GrandchildDefinitionParser, GroovyRefreshableBeanBuilderParser, IgnoreObjectMethodsDefinitionParser, InheritDefinitionParser, InterceptorDefinitionParser, InterceptorStackDefinitionParser, JmsConnectorDefinitionParser, JmxAgentDefinitionParser, KeyStoreDefinitionParser, ListPropertyDefinitionParser, MapDefinitionParserMutator, ModelDefinitionParser, MuleOrphanDefinitionParser, NamedDefinitionParser, NamespaceManagerDefinitionParser, NameTransferDefinitionParser, NestedListDefinitionParser, NestedMapDefinitionParser, NestedMapWithAttributesDefinitionParser, NotificationDefinitionParser, NotificationDisableDefinitionParser, ObjectFactoryDefinitionParser, ObjectFactoryWrapper, OptionalChildDefinitionParser, OrphanAddressDefinitionParser, OrphanDefinitionParser, OrphanEndpointDefinitionParser, OrphanMapDefinitionParser, ParentContextDefinitionParser, ParentDefinitionParser, PoolingProfileDefinitionParser, ProtocolHandlerDefinitionParser, RemoteDispatcherAgentDefinitionParser, RouterDefinitionParser, ScriptComponentDefinitionParser, ScriptDefinitionParser, ServiceDefinitionParser, ServiceOverridesDefinitionParser, ShortcutComponentDefinitionParser, SimpleComponentDefinitionParser, SimplePropertyDefinitionParser, SingleParentFamilyDefinitionParser, TestComponentDefinitionParser, TextDefinitionParser, ThreadingProfileDefinitionParser, TransactionConfigDefinitionParser, TransactionDefinitionParser, TransactionManagerDefinitionParser, TransformerDefinitionParser, TransformerRefDefinitionParser, TransportEndpointDefinitionParser, TransportGlobalEndpointDefinitionParser, TrustStoreDefinitionParser, XsltTextDefinitionParser, XsltTransformerDefinitionParser

    public interface MuleDefinitionParser

extends org.springframework.beans.factory.xml.BeanDefinitionParser, MuleDefinitionParserConfiguration

This is the interface all Mule BDPs implement. It is a bit odd because it had to be retro-fitted to existing code. In particular `BeanDefinitionParser.parse(org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext)` and `muleParse(org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext)` seem to duplicate each other. This is because many Mule classes subclass a Spring helper which makes parse() final. So instead we need to use `muleParse(org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext)`, to allow over-rides.

In case that's not clear - always call `muleParse (org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext)` rather than `BeanDefinitionParser.parse(org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext)`. The `BeanDefinitionParser` is here only to allow the BDP to be handed over to Spring.

Method Summary
`String` | `getBeanName(Element element)`
`org.springframework.beans.factory.support.AbstractBeanDefinition` | `muleParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Method Detail

### muleParse

    org.springframework.beans.factory.support.AbstractBeanDefinition muleParse(Element element,
                                                                               org.springframework.beans.factory.xml.ParserContext parserContext)

### getBeanName

    String getBeanName(Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.